# saga::job::detail Namespace Reference

## Typedefs
typedef int | handle_type
## Functions
handle_type | get_handle (saga::job::istream const &istrm, bool detach=false)
| access the underlying file descriptor
std::string | get_state_name (state s)
handle_type | get_handle (saga::job::ostream const &ostream, bool detach=false)
| access the underlying file descriptor

## Typedef Documentation

typedef int saga::job::detail::handle_type

## Function Documentation

handle_type saga::job::detail::get_handle | ( | saga::job::istream const & | istrm,
|  | bool | detach = `false` |
| ) |  |  |

access the underlying file descriptor

Note:
  This functionality is for internal use only and has been introduced solely for language bindings implemented on top of this SAGA implementation

References get_handle().

std::string saga::job::detail::get_state_name | ( | state | s | ) |

References saga::job::Canceled, saga::job::Done, saga::job::Failed, saga::job::New, saga::job::Running, saga::job::Suspended, and saga::job::Unknown.

handle_type saga::job::detail::get_handle | ( | saga::job::ostream const & | ostream,
|  | bool | detach = `false` |
| ) |  |  |

access the underlying file descriptor

Note:
  This functionality is for internal use only and has been introduced solely for language bindings implemented on top of this SAGA implementation

Referenced by get_handle().